Story # 2191 (Closed): API refactoring / refinement

add updateObsoletedBy method
Status: Closed Start date: 2012-01-10

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.01-Block.1.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Looking at the other method names that affect systemMetadata, I think the nomenclature should be 

CNCore.setObsoletedBy(session, pid, obsoletedByPid, serialVersion);

Related issues:

Blocks Infrastructure - Task #2210: Update d1_libclient_java to implement new... Rejected 2012-01-11

History

#1 - 2012-01-11 18:53 - Ben Leinfelder

I'm sure there's a reason, but why have this specialized method when there is a CN.updateSystemMetadata() method that could be used for such a

thing?

#2 - 2012-01-12 14:39 - Dave Vieglais

- Status changed from New to In Progress

Rest endpoint requires some discussion.

Proposal is:

PUT /meta/obsoletedby/{pid}

But this depends on correctly interpreting /meta/obsoletedby as a service endpoint rather than a pid = obsoledtedby

#3 - 2012-01-13 15:55 - Dave Vieglais

- Status changed from In Progress to Closed

REST endpoint switched to PUT /obsoletedBy/{pid}
